
#ifndef _DESSINER_H
#define _DESSINER_H

#include <GL/glut.h>

#include "global.h"
#include "Maillage.h"



/**
 * Dessine un maillage d'une surface
 * O les points reprsentent les valeurs d'une matrice de taille NxM
 */
void dessinerMaillageMat( Maillage *m, unsigned int N, unsigned int M );

/**
 * Dessine un maillage d'une surface
 * O les points reprsentent les valeurs d'une matrice de taille NxM
 * Par triangle strip
 */
void dessinerMaillageMatStrip( Maillage *m, unsigned int N, unsigned int M );

/**
 * Dessine un maillage d'une surface
 * O les points reprsentent les valeurs d'une matrice de taille NxM
 * Par shading Gouraud o les normales de la surface en chaque sommet sont  fournir
 */
void dessinerMaillageMatGouraud( Maillage *m, unsigned int N, unsigned int M );  
 


/**
 * Dessine un maillage index
 * Si "Gouraud" vaut "false" alors ne pas utiliser le lissage Gouraud (->GL_FLAT)
 * Sinon utiliser Gouraud (->GL_SMOOTH)
 */
void dessinerMaillage( MaillageIndexe *m, bool Gouraud );

#endif

